Bug 1410104 - [abrt] file-roller: fast_validate(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: fast_validate(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae139e0a0d0a939db9a9838a9ff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 13:11 UTC by Dario Castellarin
Modified: 2017-12-12 10:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:16:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (30.20 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: core_backtrace (3.79 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: dso_list (11.58 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: environ (2.44 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: exploitable (93 bytes, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: maps (54.02 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: mountinfo (3.73 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: open_fds (1.21 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: var_log_messages (298 bytes, text/plain)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details
File: screencast-04-01-2017-14:09:09.webm (124.10 KB, application/octet-stream)
2017-01-04 13:11 UTC, Dario Castellarin
no flags Details

Description Dario Castellarin 2017-01-04 13:11:09 UTC
Description of problem:
Every time I extract a particular RAR package.

Version-Release number of selected component:
file-roller-3.22.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        file-roller /home/r1348/Scaricati/Winterfylleth-The.Dark.Hereafter-WEB-2016-ENTiTLED_metalarea.rar
crash_function: fast_validate
executable:     /usr/bin/file-roller
global_pid:     5952
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fast_validate at gutf8.c:1478
 #1 g_utf8_validate at gutf8.c:1659
 #2 strdup_len at gconvert.c:837
 #3 g_locale_to_utf8 at gconvert.c:905
 #4 _g_error_new_from_archive_error at fr-archive-libarchive.c:324
 #5 extract_archive_thread at fr-archive-libarchive.c:888
 #6 run_in_thread at gsimpleasyncresult.c:898
 #7 io_job_thread at gioscheduler.c:85
 #8 g_task_thread_pool_thread at gtask.c:1304
 #10 g_thread_proxy at gthread.c:784

Potential duplicate: bug 1405559

Comment 1 Dario Castellarin 2017-01-04 13:11:14 UTC
Created attachment 1237157 [details]
File: backtrace

Comment 2 Dario Castellarin 2017-01-04 13:11:15 UTC
Created attachment 1237158 [details]
File: cgroup

Comment 3 Dario Castellarin 2017-01-04 13:11:17 UTC
Created attachment 1237159 [details]
File: core_backtrace

Comment 4 Dario Castellarin 2017-01-04 13:11:19 UTC
Created attachment 1237160 [details]
File: dso_list

Comment 5 Dario Castellarin 2017-01-04 13:11:20 UTC
Created attachment 1237161 [details]
File: environ

Comment 6 Dario Castellarin 2017-01-04 13:11:21 UTC
Created attachment 1237162 [details]
File: exploitable

Comment 7 Dario Castellarin 2017-01-04 13:11:23 UTC
Created attachment 1237163 [details]
File: limits

Comment 8 Dario Castellarin 2017-01-04 13:11:25 UTC
Created attachment 1237164 [details]
File: maps

Comment 9 Dario Castellarin 2017-01-04 13:11:27 UTC
Created attachment 1237165 [details]
File: mountinfo

Comment 10 Dario Castellarin 2017-01-04 13:11:28 UTC
Created attachment 1237166 [details]
File: namespaces

Comment 11 Dario Castellarin 2017-01-04 13:11:30 UTC
Created attachment 1237167 [details]
File: open_fds

Comment 12 Dario Castellarin 2017-01-04 13:11:31 UTC
Created attachment 1237168 [details]
File: proc_pid_status

Comment 13 Dario Castellarin 2017-01-04 13:11:32 UTC
Created attachment 1237169 [details]
File: var_log_messages

Comment 14 Dario Castellarin 2017-01-04 13:11:35 UTC
Created attachment 1237170 [details]
File: screencast-04-01-2017-14:09:09.webm

Comment 15 Fedora End Of Life 2017-11-16 14:19:47 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:16:28 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.